Subject: bug#58956: closed (Re: bug#58956: mark_object, mark_objects(?) crash)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Nov 2022 10:15:01 +0000

Your bug report

#58956: mark_object, mark_objects(?) crash

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58956: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58956
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58956: mark_object, mark_objects(?) crash
From: Eli Zaretskii <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 10 Nov 2022 12:14:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 5 Nov 2022 13:54:54 -0700
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 2022-11-04 00:00, Eli Zaretskii wrote:
> > We need to establish what is the
> > source of SIGHUP in these cases.  "These cases" mean, AFAIU, the
> > situations where Emacs launched an async subprocess to do native
> > compilation (which is another Emacs process in a --batch session), and
> > the parent Emacs session is terminated by the user before the async
> > compilation runs to completion.  Would the child Emacs process get
> > SIGHUP in this scenario?
> 
> Hard for me to say. It's a messy area, with kernels (and Emacs itself) 
> sending SIGHUP on various whims.
> 
> Does the attached patch fix things? It builds on your commit 
> 190a6853708ab22072437f6ebd93beb3ec1a9ce6 dated 2020-12-04; I don't know 
> why that earlier patch was installed, but it would seem to apply to 
> SIGHUP and SIGTERM as well as it applies to SIGINT.

No further comments, so I've now installed this on the master branch,
and I'm marking this bug done.

Thanks.

Subject: mark_object, mark_objects(?) crash
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Tue, 01 Nov 2022 18:33:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

A Debian user has reported a crash with Emacs 28.  I'm attaching the
backtrace he provided.  We currently have the two recent trampoline fork
bomb patches from Andreas applied; I don't think any of our other
patches are relevant.

<https://bugs.debian.org/1017711>

-- 
Sean Whitton